name: drssiddha
description: A new Flutter project.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 2.0.0+1

environment:
  sdk: ">=2.12.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2
  cached_network_image: ^3.1.0
  shared_preferences: ^2.0.6
  # toast: ^0.1.5
  flutter_slidable: ^0.6.0
  provider: ^5.0.0
  datetime_picker_formfield: ^2.0.0
  flutter_webview_plugin: ^0.4.0
  #flutter_webview_plugin: ^0.3.11
  webview_flutter: ^2.0.10
  dio: ^4.0.0
  #dio: ^3.0.0
  font_awesome_flutter: ^9.1.0
  # data_connection_checker: ^0.3.4
  # device_info: ^0.4.0+1
  url_launcher: ^6.0.9
  youtube_player_flutter: ^8.0.0
  # youtube_player_flutter: ^7.0.0+7
  simple_autocomplete_formfield: ^0.3.0
  # webview_flutter: ^1.0.1
  flutter_html: ^2.1.0
  html: ^0.15.0
  after_layout: ^1.1.0
  flutter_form_builder: ^6.1.0+1
  # autocomplete_textfield: ^1.7.3
  package_info: ^2.0.2
  
  # store_redirect: ^1.0.2
  launch_review: ^3.0.1
  firebase_database: ^7.1.2
  flutter_local_notifications: ^6.1.0
  firebase_core: ^1.4.0
  firebase_messaging: ^10.0.4
  overlay_support: ^1.2.1
  firebase_analytics: ^8.2.0
  carousel_slider: ^4.0.0
  connectivity: ^3.0.6
  getwidget: ^2.0.3
  get_it: ^7.2.0
  #get_it: ^4.0.2
  flutter_staggered_grid_view: ^0.4.0
  

dev_dependencies:
  flutter_driver:
  #flutter_test:
    sdk: flutter
  test: any
  flutter_launcher_icons: "^0.9.0"

flutter_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/drs-logo-.png"

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/.
    - assets/images/.

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  fonts:
    - family: SF Pro Display
      fonts:
        - asset: assets/fonts/SFProDisplay-Regular.ttf
        # - asset: assets/fonts/SFProDisplay-Bold.ttf
          style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
